### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata

# Interface FilteredFolderInterface

All Superinterfaces:
  `FolderInterface`, `MetadataInterface`, `MutableContainerInterface`, `PublicObjectContainerInterface`, `PublicObjectInterface`, `Remote`

All Known Subinterfaces:
  `FilteredRepositoryInterface`

All Known Implementing Classes:
  `FilteredFolder`, `FilteredRepository`

@SASScope("ALL") @BinaryCompatibilityOnly public interface FilteredFolderInterface extends FolderInterface
This is a generic interface for interacting with a Folder object. This class is specifically intended to represent results coming from a search where not all items within a folder will be represented.

Since:
  1.0

- ## Field Summary

  ### Fields inherited from interface com.sas.services.information.metadata.FolderInterface

  `FOLDER_TYPE_BIP`

  ### Fields inherited from interface com.sas.services.information.metadata.MetadataInterface

  `METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addLocalItem(MetadataInterface obj)`
  Add a filtered result object to this folder.
  `FolderInterface`
  `getFolder()`
  Get repository folder corresponding to this object.

  ### Methods inherited from interface com.sas.services.information.metadata.FolderInterface

  `addItem, addNewItem, addSubfolder, deleteItem, deleteSubfolder, getContentCreateDate, getContentInfo, getContentModifyDate, getFolderType, getItem, getItemByClass, getItemByType, getItems, getItemsByClass, getItemsByType, getItemSublist, getItemSublist, getParent, getPath, getPublicTypeItem, getSubfolder, getSubfolders, getTotalNumberOfItems, hasDuplicate, hasDuplicateSubfolder, isEmpty, isItemNameUnique, makeSubfolder, makeSubfolder, moveMembersOnOverflow, removeItem, removeSubfolder, setContentCreateDate, setContentModifyDate, setFolderType`

  ### Methods inherited from interface com.sas.services.information.metadata.MetadataInterface

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from interface com.sas.services.information.publicobject.MutableContainerInterface

  `addChild, insertChild, removeChild`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectContainerInterface

  `getChildAt, getChildCount, getChildren, getChildren, newChild`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

- ## Method Details

  - ### getFolder

    FolderInterface getFolder() throws RemoteException
    Get repository folder corresponding to this object.

    Returns:
      The FolderInterface from the repository with the unfiltered contents.
    Throws:
      `RemoteException` - in the event of remote object failure.

  - ### addLocalItem

    void addLocalItem(MetadataInterface obj) throws RemoteException
    Add a filtered result object to this folder.

    Parameters:
      `obj` - The object to add.
    Throws:
      `RemoteException` - in the event of remote object failure.